TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.branding.themes.get("themeId");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.branding.themes.get("themeId");
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.Branding.Themes.Get(
context.TODO(),
"themeId",
)
}
# Ensure you're logged in: auth0 login
auth0 api get "branding/themes/themeId"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Branding.Themes.GetAsync(
"themeId"
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.branding().themes().get("themeId");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->branding->themes->get(
'themeId',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.branding.themes.get(
theme_id="themeId",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.branding.themes.get(theme_id: "themeId")
curl --request GET \
--url https://{tenantDomain}/api/v2/branding/themes/{themeId} \
--header 'Authorization: Bearer <token>'{
"borders": {
"button_border_radius": 5.5,
"button_border_weight": 5,
"buttons_style": "pill",
"input_border_radius": 5,
"input_border_weight": 1.5,
"inputs_style": "pill",
"show_widget_shadow": true,
"widget_border_weight": 5,
"widget_corner_radius": 25
},
"colors": {
"body_text": "<string>",
"error": "<string>",
"header": "<string>",
"icons": "<string>",
"input_background": "<string>",
"input_border": "<string>",
"input_filled_text": "<string>",
"input_labels_placeholders": "<string>",
"links_focused_components": "<string>",
"primary_button": "<string>",
"primary_button_label": "<string>",
"secondary_button_border": "<string>",
"secondary_button_label": "<string>",
"success": "<string>",
"widget_background": "<string>",
"widget_border": "<string>",
"base_focus_color": "<string>",
"base_hover_color": "<string>",
"captcha_widget_theme": "auto",
"read_only_background": "<string>"
},
"displayName": "<string>",
"fonts": {
"body_text": {
"bold": true,
"size": 75
},
"buttons_text": {
"bold": true,
"size": 75
},
"font_url": "<string>",
"input_labels": {
"bold": true,
"size": 75
},
"links": {
"bold": true,
"size": 75
},
"links_style": "normal",
"reference_text_size": 18,
"subtitle": {
"bold": true,
"size": 75
},
"title": {
"bold": true,
"size": 112.5
}
},
"page_background": {
"background_color": "<string>",
"background_image_url": "<string>",
"page_layout": "center"
},
"themeId": "<string>",
"widget": {
"header_text_alignment": "center",
"logo_height": 50.5,
"logo_position": "center",
"logo_url": "<string>",
"social_buttons_layout": "bottom"
},
"identifiers": {
"login_display": "separate",
"otp_autocomplete": true,
"phone_display": {
"formatting": "international",
"masking": "hide_country_code"
}
}
}Get branding theme
Retrieve branding theme.
GET
https://{tenantDomain}/api/v2
/
branding
/
themes
/
{themeId}
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.branding.themes.get("themeId");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.branding.themes.get("themeId");
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.Branding.Themes.Get(
context.TODO(),
"themeId",
)
}
# Ensure you're logged in: auth0 login
auth0 api get "branding/themes/themeId"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Branding.Themes.GetAsync(
"themeId"
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.branding().themes().get("themeId");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->branding->themes->get(
'themeId',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.branding.themes.get(
theme_id="themeId",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.branding.themes.get(theme_id: "themeId")
curl --request GET \
--url https://{tenantDomain}/api/v2/branding/themes/{themeId} \
--header 'Authorization: Bearer <token>'{
"borders": {
"button_border_radius": 5.5,
"button_border_weight": 5,
"buttons_style": "pill",
"input_border_radius": 5,
"input_border_weight": 1.5,
"inputs_style": "pill",
"show_widget_shadow": true,
"widget_border_weight": 5,
"widget_corner_radius": 25
},
"colors": {
"body_text": "<string>",
"error": "<string>",
"header": "<string>",
"icons": "<string>",
"input_background": "<string>",
"input_border": "<string>",
"input_filled_text": "<string>",
"input_labels_placeholders": "<string>",
"links_focused_components": "<string>",
"primary_button": "<string>",
"primary_button_label": "<string>",
"secondary_button_border": "<string>",
"secondary_button_label": "<string>",
"success": "<string>",
"widget_background": "<string>",
"widget_border": "<string>",
"base_focus_color": "<string>",
"base_hover_color": "<string>",
"captcha_widget_theme": "auto",
"read_only_background": "<string>"
},
"displayName": "<string>",
"fonts": {
"body_text": {
"bold": true,
"size": 75
},
"buttons_text": {
"bold": true,
"size": 75
},
"font_url": "<string>",
"input_labels": {
"bold": true,
"size": 75
},
"links": {
"bold": true,
"size": 75
},
"links_style": "normal",
"reference_text_size": 18,
"subtitle": {
"bold": true,
"size": 75
},
"title": {
"bold": true,
"size": 112.5
}
},
"page_background": {
"background_color": "<string>",
"background_image_url": "<string>",
"page_layout": "center"
},
"themeId": "<string>",
"widget": {
"header_text_alignment": "center",
"logo_height": 50.5,
"logo_position": "center",
"logo_url": "<string>",
"social_buttons_layout": "bottom"
},
"identifiers": {
"login_display": "separate",
"otp_autocomplete": true,
"phone_display": {
"formatting": "international",
"masking": "hide_country_code"
}
}
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the theme
Response
Branding theme successfully retrieved.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Display Name
Maximum string length:
2048Pattern:
^[^<>]*$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Theme Id
Maximum string length:
32Pattern:
^[a-zA-Z0-9]{32}$Show child attributes
Show child attributes
Show child attributes
Show child attributes